Bug 971869 - updating abrt 2.1.2-2.fc18.x86_64 -> 2.1.4-3.fc18.x86_64 brought notification about 3 months old incident
Summary: updating abrt 2.1.2-2.fc18.x86_64 -> 2.1.4-3.fc18.x86_64 brought notification...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
(Show other bugs)
Version: 18
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Denys Vlasenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-07 13:10 UTC by Jan Pokorný [poki]
Modified: 2014-02-05 23:11 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 23:11:11 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Bugzilla 963525 None None None Never

Description Jan Pokorný [poki] 2013-06-07 13:10:29 UTC
Just run "yum update" and observed $SUBJ.

# yum history packages-list abrt
Loaded plugins: langpacks, presto, refresh-packagekit, security
ID     | Action(s)      | Package                                              
-------------------------------------------------------------------------------
   166 | Updated        | abrt-2.1.2-2.fc18.x86_64                           EE
   166 | Update         |      2.1.4-3.fc18.x86_64                           EE
    60 | Updated        | abrt-2.0.20-1.fc18.x86_64                            
    60 | Update         |      2.1.2-2.fc18.x86_64                             
     2 | Updated        | abrt-2.0.19-2.fc18.x86_64                          EE
     2 | Update         |      2.0.20-1.fc18.x86_64                          EE
     1 | Dep-Install    | abrt-2.0.19-2.fc18.x86_64                


The message shown through standard notification mechanism:

> A problem has Occurred
> A problem in the setroubleshoot-server-3.2.3-1.fc18 package has been detected

Problem is that this talks about the problem that happened 3 month ago
(as per ABRT GUI, on March 28), which is fixed for a long time
([bug 920857] and [bug 922892]).

# yum history packages-list setroubleshoot-server
Loaded plugins: langpacks, presto, refresh-packagekit, security
ID     | Action(s)      | Package                                              
-------------------------------------------------------------------------------
   125 | Updated        | setroubleshoot-server-3.2.3-1.fc18.x86_64          EE
   125 | Update         |                       3.2.3-3.fc18.x86_64          EE
     2 | Updated        | setroubleshoot-server-3.1.18-1.fc18.x86_64         EE
     2 | Update         |                       3.2.3-1.fc18.x86_64          EE
     1 | Dep-Install    | setroubleshoot-server-3.1.18-1.fc18.x86_64 


Expected behavior is not to evoke such old ghosts upon update.

Comment 1 Jan Pokorný [poki] 2013-08-10 15:53:21 UTC
Could be related to [bug 963525].

Comment 2 Jakub Filak 2013-08-12 07:28:31 UTC
(In reply to Jan Pokorný from comment #1)
Thank you for your efforts in solving this bug. This odd behaviour is due to pre rpm scriptlet copying old problems to the current dump location. The old problems were stored in /var/spool/abrt (you can safely delete them all if you wish, because all of these problems should be copied to the current dump location). The current dump location is /var/tmp/abrt

Comment 3 Denys Vlasenko 2013-08-23 12:13:34 UTC
I thought about checking mtime of the problem directory or its DIR/time element's value and not show the bubble if it is old enough, but I'm not sure it makes sense.

Generally, such a solution would be hiding symptoms instead of fixing the reaosns why this happens.

For one, it will stop notification about the old-ish problem directories delivered via abrt-handle-upload.

I propose WONTFIX for this bug.

Comment 4 Jakub Filak 2013-08-23 13:34:30 UTC
(In reply to Denys Vlasenko from comment #3)
> I thought about checking mtime of the problem directory or its DIR/time
> element's value and not show the bubble if it is old enough, but I'm not
> sure it makes sense.

You are right but abrt-applet checks DIR/time at start time but the upgrade was performed while abrt-applet was already running. The root cause of this bug is implemenetation of the pre scriptlet because it doesn't stop abrtd.service thus abrtd detects the copied directories as new problems.

We can safely remove the scriptlet from the spec file. It was required for upgrade from version 2.0 to version 2.1

Comment 5 Denys Vlasenko 2013-11-05 15:28:26 UTC
Since apparently no one objects, closing as WONTFIX. Please reopen if needed.

Comment 6 Jakub Filak 2013-11-05 15:47:18 UTC
(In reply to Denys Vlasenko from comment #5)
> Since apparently no one objects, closing as WONTFIX. Please reopen if needed.

I had an objection. The rpm scriptlet causing this is not necessary anymore.

Comment 7 Denys Vlasenko 2013-11-06 14:39:20 UTC
(In reply to Jakub Filak from comment #6)
> (In reply to Denys Vlasenko from comment #5)
> > Since apparently no one objects, closing as WONTFIX. Please reopen if needed.
> 
> I had an objection. The rpm scriptlet causing this is not necessary anymore.

The rpm scriptlet has been removed now.

Comment 8 Fedora End Of Life 2013-12-21 15:32:56 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2014-02-05 23:11:11 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.